# Upstream uses version-release.  Control the madness here.
%define upver 1.11
%define uprel 1
%define filever %{upver}-%{uprel}

%define with_gcj %{!?_without_gcj:1}%{?_without_gcj:0}

Name:           automaton
Version:        %{upver}r%{uprel}
Release:        1%{?dist}
Summary:        A Java finite state automata/regular expression library

Group:          Development/Libraries/Java
License:        BSD
URL:            http://www.brics.dk/automaton/
Source:         http://www.brics.dk/~amoeller/%{name}/%{name}-%{filever}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ant, java-devel, jpackage-utils
Requires:       java, jpackage-utils

%if %{with_gcj}
BuildRequires:  java-gcj-compat-devel >= 1.0.31
Requires(post): java-gcj-compat >= 1.0.31
Requires(postun): java-gcj-compat >= 1.0.31
%else
BuildArch:      noarch
%endif

%description
This Java package contains a DFA/NFA (finite-state automata) implementation
with Unicode alphabet (UTF-16) and support for the standard regular expression
operations (concatenation, union, Kleene star) and a number of non-standard
ones (intersection, complement, etc.).

In contrast to many other automaton/regexp packages, this package is fast,
compact, and implements real, unrestricted regular operations.  It uses a
symbolic representation based on intervals of Unicode characters.

%package javadoc
Summary:        A Java finite state automata/regular expression library
Group:          Development/Documentation
Requires:       %{name} = %{version}-%{release}, jpackage-utils

%description javadoc
Javadoc documentation for automaton.

%prep
%setup -q -n %{name}-%{upver}
rm -f dist/automaton.jar

%build
ant all

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p dist/automaton.jar $RPM_BUILD_ROOT%{_javadir}/automaton-%{version}.jar
ln -s automaton-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/automaton.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}
mv doc $RPM_BUILD_ROOT%{_javadocdir}/automaton-%{version}
ln -s automaton-%{version} $RPM_BUILD_ROOT%{_javadocdir}/automaton

%if %{with_gcj}
%{_bindir}/aot-compile-rpm
%endif

%post
%if %{with_gcj}
if [ -x %{_bindir}/rebuild-gcj-db ]; then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun
%if %{with_gcj}
if [ -x %{_bindir}/rebuild-gcj-db ]; then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%{_javadir}/automaton*.jar
%if %{with_gcj}
%{_libdir}/gcj/%{name}
%endif

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/automaton*

%changelog
* Tue Jan  6 2009 Jerry James <loganjerry@gmail.com> - 1.11r1-1
- Upgrade to 1.11-1

* Fri Sep 12 2008 Jerry James <loganjerry@gmail.com> - 1.10r5-1
- Upgrade to 1.10-5

* Mon Jun 30 2008 Jerry James <loganjerry@gmail.com> - 1.10r4-2
- Conditionalize gcj invocations
- Remove the prebuilt jar before building

* Fri Jun  6 2008 Jerry James <loganjerry@gmail.com> - 1.10r4-1
- Upgrade to 1.10-4

* Fri Apr 18 2008 Jerry James <loganjerry@gmail.com> - 1.10r3-2
- Conform to the new Java packaging guidelines

* Mon Jan  7 2008 Jerry James <loganjerry@gmail.com> - 1.10r3-1
- Fix the version number as suggested by Jason L. Tibbitts III

* Tue Nov 20 2007 Jerry James <loganjerry@gmail.com> - 1.10.3-1
- Initial RPM
